Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Plucked Class Reference

STK plucked string model class. More...

`#include <Plucked.h>`

Inheritance diagram for stk::Plucked:

List of all members.

## Public Member Functions
| Plucked (StkFloat lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Plucked (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | pluck (StkFloat amplitude)
| Pluck the string with the given amplitude using the current frequency.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK plucked string model class.

This class implements a simple plucked string physical model based on the Karplus-Strong algorithm.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others. There exist at least two patents, assigned to Stanford, bearing the names of Karplus and/or Strong.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

The documentation for this class was generated from the following file:

- Plucked.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.